From 05020b884b846d154acee76cd8e7c1c95dbb6bd1 Mon Sep 17 00:00:00 2001
From: buildmaster
Date: Mon, 22 Aug 2016 11:32:32 +0000
Subject: [PATCH] Sync docs from 1.1.x to gh-pages
---
1.1.x/ghpages.sh | 5 +++--
1.1.x/index.html | 2 +-
2 files changed, 4 insertions(+), 3 deletions(-)
diff --git a/1.1.x/ghpages.sh b/1.1.x/ghpages.sh
index 6a6363ba..57c5da3a 100644
--- a/1.1.x/ghpages.sh
+++ b/1.1.x/ghpages.sh
@@ -32,7 +32,7 @@ function check_if_anything_to_sync() {
exit 0
fi
- if ! [ -d docs/target/generated-docs ]; then
+ if ! [ -d docs/target/generated-docs ] && ! [ "${BUILD}" == "yes" ]; then
echo "No gh-pages sources in docs/target/generated-docs, so not syncing"
exit 0
fi
@@ -101,12 +101,13 @@ function add_docs_from_target() {
local clonedStatic=${ROOT_FOLDER}/target/spring-cloud-static
if [[ ! -e "${clonedStatic}/.git" ]]; then
echo "Cloning Spring Cloud Static to target"
- git clone ${SPRING_CLOUD_STATIC_REPO} ${clonedStatic}
+ git clone ${SPRING_CLOUD_STATIC_REPO} ${clonedStatic} && git checkout gh-pages
else
echo "Spring Cloud Static already cloned - will pull changes"
cd ${clonedStatic} && git checkout gh-pages && git pull origin gh-pages
fi
DESTINATION_REPO_FOLDER=${clonedStatic}/${REPO_NAME}
+ mkdir -p ${DESTINATION_REPO_FOLDER}
else
if [[ ! -e "${DESTINATION}/.git" ]]; then
echo "[${DESTINATION}] is not a git repository"
diff --git a/1.1.x/index.html b/1.1.x/index.html
index e6c15799..86310c1f 100644
--- a/1.1.x/index.html
+++ b/1.1.x/index.html
@@ -2057,7 +2057,7 @@ grabbing it in the bootstrap context and injecting one).